Name: alt-update
Version: 0.0.2
Release: alt5

Summary: Applet for indication that newer packages are available
License: GPL
Group: System/Configuration/Packaging

URL: http://www.altlinux.org/
Source: %name-%version.tar.bz2

Provides: egg = %version
Obsoletes: egg
Requires: libqt3-gcc_compiled = %__gcc_version_base
Requires: synaptic-usermode

# Automatically added by buildreq on Wed Jun 04 2003
BuildRequires: XFree86-devel XFree86-libs docbook-dtds docbook-style-xsl fontconfig freetype2 gcc-c++ libGLU libapt-devel libdb4.0-devel libexpat libjpeg liblcms libmng libqt3-devel libstdc++-devel libxslt xml-common xsltproc

%description
This package contains simple applet both for Gnome and KDE which
made notifications for users that newer packages are available.


%prep
%setup -q

%build
%add_optflags -DNDEBUG
%make 

%install
%make_install DESTDIR=$RPM_BUILD_ROOT install
mkdir -p %buildroot/%_menudir
install -m644 menu %buildroot/%_menudir/%name
mkdir -p %buildroot/%_datadir/autostart
install -m644 kde.desktop %buildroot/%_datadir/autostart/%name.desktop

%post
%update_menus
%postun
%clean_menus

%files
%doc doc/html doc/images NEWS ChangeLog TODO
%_bindir/*
%_datadir/%name
%_menudir/%name
%_datadir/autostart/*.desktop

%changelog
* Tue Sep 23 2003 Sergey V Turchin <zerg at altlinux dot org> 0.0.2-alt5
- add requires to synaptic-usermode

* Tue Sep 02 2003 Sergey V Turchin <zerg at altlinux dot org> 0.0.2-alt4
- update code from cvs

* Fri Jun 20 2003 Sergey V Turchin <zerg at altlinux dot org> 0.0.2-alt3
- update from cvs

* Thu Jun 05 2003 Sergey V Turchin <zerg at altlinux dot ru> 0.0.2-alt2
- fix Cancel button in YesNoDialog

* Wed Jun 04 2003 Sergey V Turchin <zerg at altlinux dot ru> 0.0.2-alt1
- new version

* Thu May 29 2003 Stanislav Ievlev <inger@altlinux.ru> 0.0.1-alt2
- added documentation

* Tue May 27 2003 Sergey V Turchin <zerg at altlinux dot ru> 0.0.1-alt1
- update from cvs
- new version
- fix BuildRequires
- first build for Sisyphus

* Tue May 27 2003 Sergey V Turchin <zerg at altlinux dot ru> 0.0.0-alt6
- update from cvs (fixed autostart.desktop)

* Tue May 27 2003 Sergey V Turchin <zerg at altlinux dot ru> 0.0.0-alt5
- update from cvs
- add to %_datadir/autostart/*.desktop to %%files

* Mon May 26 2003 Sergey V Turchin <zerg at altlinux dot ru> 0.0.0-alt4
- update from cvs
- add to %_datadir/autostart for KDE

* Mon May 26 2003 Sergey V Turchin <zerg at altlinux dot ru> 0.0.0-alt3

* Mon May 26 2003 Sergey V Turchin <zerg at altlinux dot ru> 0.0.0-alt2
- update from cvs
- add menu

* Mon May 26 2003 Stanislav Ievlev <inger@altlinux.ru> 0.0.0-alt1
- Initial release for Daedalus
